Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

List videos

$ openai videos list
GET
/videos

List recently generated videos for the current project.

List videos

openai videos list \
  --api-key 'My API Key'
Response example
{
  "data": [
    {
      "id": "video_123",
      "object": "video",
      "model": "sora-2",
      "status": "completed",
      "created_at": 1712697600,
      "completed_at": 1712697840,
      "progress": 100,
      "expires_at": null,
      "error": null,
      "prompt": "A calico cat playing a piano on stage",
      "size": "1024x1792",
      "seconds": "8",
      "remixed_from_video_id": null
    }
  ],
  "object": "list",
  "first_id": "video_123",
  "last_id": "video_123",
  "has_more": false
}
Parameters
--after: optional string

Identifier for the last item from the previous pagination request

--limit: optional number

Number of items to retrieve

--order: optional "asc" or "desc"

Sort order of results by timestamp. Use asc for ascending order or desc for descending order.

Returns
VideoListResource: object { data, first_id, has_more, 2 more }
data: array of Video { id, completed_at, created_at, 10 more }

A list of items

first_id: string

The ID of the first item in the list.

has_more: boolean

Whether there are more items available.

last_id: string

The ID of the last item in the list.

object: "list"

The type of object returned, must be list.

Returns Examples
Response example
{
  "data": [
    {
      "id": "video_123",
      "object": "video",
      "model": "sora-2",
      "status": "completed",
      "created_at": 1712697600,
      "completed_at": 1712697840,
      "progress": 100,
      "expires_at": null,
      "error": null,
      "prompt": "A calico cat playing a piano on stage",
      "size": "1024x1792",
      "seconds": "8",
      "remixed_from_video_id": null
    }
  ],
  "object": "list",
  "first_id": "video_123",
  "last_id": "video_123",
  "has_more": false
}